Subject: Re: Serious performance degradation in Linux 4.15

From: Matt Fleming <[email-masked]>
Date: Fri, 16 Feb 2018 14:38:39 +0000

On Wed, 14 Feb, at 10:46:20PM, Matt Fleming wrote:
> On Mon, 12 Feb, at 04:16:42PM, Peter Zijlstra wrote:
> > On Fri, Feb 09, 2018 at 05:59:12PM +0000, Jon Maloy wrote:
> > > Command for TCP:
> > > "netperf TCP_STREAM  (netperf -n 4 -f m -c 4 -C 4 -P 1 -H 10.0.0.1 -t TCP_STREAM -l 10 -- -O THROUGHPUT)"
> > > Command for TIPC:
> > > "netperf TIPC_STREAM (netperf -n 4 -f m -c 4 -C 4 -P 1 -H 10.0.0.1 -t TCP_STREAM -l 10 -- -O THROUGHPUT)"
> > 
> > That looks like identical tests to me. And my netperf (debian testing)
> > doesn't appear to have -t TIPC_STREAM.
> > 
> > Please try a coherent report and I'll have another look. Don't (again)
> > forget to mention what kind of setup you're running this on.
> > 
> > 
> > On my IVB-EP (2 sockets, 10 cores, 2 threads), performance cpufreq,
> > PTI=n RETPOLINE=n, I get:
> 
> Here's some more numbers. This is with RETPOLINE=y but you'll see it
> doesn't make much of a difference. Oh, this is also with powersave
> cpufreq governor.

Feh, I was wrong. The differences in performance I see are entirely
due to CONFIG_RETPOLINE and CONFIG_PAGE_TABLE_ISOLATION being enabled.